// utils/logger.js
// w środowisku win11 ustaw: $env:NODE_ENV = "production"; npm start
// w środowisku UNIX ustaw: export NODE_ENV=production; npm start
// Poziom debug jest bez ustawiania zmiennej środowiska:   npm start
const debug = (message, data = '') => {
  if (process.env.NODE_ENV !== 'production') {
    console.log(`[DEBUG] ${message}`, data);
  }
};

const error = (message, err = '') => {
  console.error(`[ERROR] ${message}`, err);
};

export { debug, error };